package com.appleeducate.getversion

import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.MethodChannel.MethodCallHandler
import io.flutter.plugin.common.MethodChannel.Result
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.PluginRegistry.Registrar
import com.appleeducate.getversion.BuildConfig;

class GetVersionPlugin(): MethodCallHandler {
  companion object {
    @JvmStatic
    fun registerWith(registrar: Registrar): Unit {
      val channel = MethodChannel(registrar.messenger(), "get_version")
      channel.setMethodCallHandler(GetVersionPlugin())
    }
  }

  override fun onMethodCall(call: MethodCall, result: Result): Unit {
    if (call.method.equals("getPlatformVersion")) {
      result.success("Android ${android.os.Build.VERSION.RELEASE}")
    } else if (call.method.equals("getProjectVersion")) {
      result.success("${BuildConfig.VERSION_NAME}")
    } else if (call.method.equals("getProjectCode")) {
      result.success("${BuildConfig.VERSION_CODE}")
    } else if (call.method.equals("getAppID")) {
      result.success("${BuildConfig.APPLICATION_ID}")
    } else {
      result.notImplemented()
    }
  }
}
